### Home Classes Methods

### In Files

- lib/chronic/tag.rb

### Parent

Object

### Methods

- ::new
- #start=

### Files

- LICENSE

### Class/Module Index

Quicksearch

- Chronic
- Chronic::Date
- Chronic::Grabber
- Chronic::Handler
- Chronic::Handlers
- Chronic::MiniDate
- Chronic::Numerizer
- Chronic::Ordinal
- Chronic::Parser
- Chronic::Pointer
- Chronic::Repeater
- Chronic::Scalar
- Chronic::Season
- Chronic::Separator
- Chronic::Sign
- Chronic::Span
- Chronic::Tag
- Chronic::Time
- Chronic::TimeZone
- Chronic::Token

No matching classes.

# Chronic::Tag

Tokens are tagged with subclassed instances of this class when they match specific criteria.

### Attributes

type[RW]

### Public Class Methods

new(type, options = {}) click to toggle source

type - The Symbol type of this tag.

    # File lib/chronic/tag.rb, line 9
    def initialize(type, options = {})
      @type = type
      @options = options
    end

### Public Instance Methods

start=(time) click to toggle source

time - Set the start Time for this Tag.

    # File lib/chronic/tag.rb, line 15
    def start=(time)
      @now = time
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.